<?php

namespace App\Http\Integrations\Imake\Requests\BulkClix;

use Saloon\Enums\Method;
use Saloon\Http\Request;

class CheckTStatus extends Request
{
    /**
     * The HTTP method of the request
     */
    protected Method $method = Method::GET;

    public function __construct(protected readonly string $transactionId)
    {
        //
    }

    /**
     * The endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return '/payment-api/checkstatus/' . $this->transactionId;
    }
}
